Subject: [multipathtcp] Impact of any of the mptcp proxy proposals on base protocol?

From: <[email-masked]>
Date: Mon, 27 Mar 2017 22:35:27 +0000

Hi,
My personal view is that the revised base protocol (RFC6824bis) is what all MPTCP-enabled endpoints implement. So I want to make sure that we think carefully about including any changes needed on the endpoint to get the proxy scenarios to work.
If I get it right, this means that:

*         2-ended proxy scenarios -  endpoints run rfc6824bis, proxy devices run new mptcp-proxy protocol. Think this is ok - operator has chosen to deploy the proxies, no changes needed on the endpoints.

*         1-ended proxy scenario with explicit mode - endpoint is explicitly configured to know about the proxy and runs mptcp with additional capability (MP_CONVERT info element in data, or some other proposal). It may be OK for this not to be in the bis, since the endpoint is explicitly configured with this capability, so it's reasonable to expect the operator to upgrade the smartphone's mptcp. Opinions?

*         1-ended proxy scenario in implicit mode. Endpoint runs bis with additional capability (MP_PREFER_PROXY MPTCP Option or some other proposal). Since this mode is implicit, I think this would need to be in the bis - or alternatively, we don't support this scenario. Opinions?
Comments?
Thanks
phil